pcl::device::Dilatation Struct Reference

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/people/src/internal.h>`

## Public Types

enum | { KSIZE_X = 5, KSIZE_Y = 5, ANCH_X = KSIZE_X/2, ANCH_Y = KSIZE_Y/2 }
typedef DeviceArray< unsigned char > | Kernel

## Static Public Member Functions

static void | prepareRect5x5Kernel (Kernel &kernel)
static void | invoke (const Mask &src, const Kernel &kernel, Mask &dst)

## Detailed Description

Definition at line 101 of file internal.h.

## Member Typedef Documentation

## Kernel

typedef DeviceArray<unsigned char> pcl::device::Dilatation::Kernel

Definition at line 103 of file internal.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
KSIZE_X |
KSIZE_Y |
ANCH_X |
ANCH_Y |

Definition at line 104 of file internal.h.

## Member Function Documentation

## invoke()

static void pcl::device::Dilatation::invoke | ( | const Mask & | src,
|  | const Kernel & | kernel,
|  | Mask & | dst
| ) |  |

static

## prepareRect5x5Kernel()

static void pcl::device::Dilatation::prepareRect5x5Kernel | ( | Kernel & | kernel | ) |

static

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/people/src/internal.h